@tailwind base;
@tailwind components;
@tailwind utilities;

@import "tailwindcss-rtl";

/* Blade & JS Sources */
@source '../../vendor/laravel/framework/src/Illuminate/Pagination/resources/views/*.blade.php';
@source '../../storage/framework/views/*.php';
@source '../**/*.blade.php';
@source '../**/*.js';

/* Fonts */
@theme {
    --font-sans: ui-sans-serif, system-ui, sans-serif;
}

/* Arabic */
html[lang="ar"] {
    direction: rtl;
}

html[lang="ar"] body {
    font-family: 'Cairo', sans-serif;
    text-align: right;
}

/* English */
html[lang="en"] {
    direction: ltr;
}

html[lang="en"] body {
    font-family: 'Inter', sans-serif;
    text-align: left;
}